//
//  TwitterConn.m
//  MinimalTwitter
//
//  Created by Dominikus Baur on 3/23/09.
//  Copyright 2009 LMU Munich. All rights reserved.
//

#import "TwitterConn.h"


@implementation TwitterConn

NSString* username = @"hypeguy";
NSString* password = @"hypeguy123";

+(void) makePostForUserWithText:(NSString*)t{
	NSString* unpw = [[NSString stringWithFormat:@"%@:%@", username, password]
					  stringByAddingPercentEscapesUsingEncoding:NSUTF8StringEncoding];
	NSString* tweet = [t stringByAddingPercentEscapesUsingEncoding:NSUTF8StringEncoding];
	NSString* body = [NSString stringWithFormat:@"source=miTweet&status=%@", tweet];
	
	id baseurl = [NSString stringWithFormat:@"http://%@@twitter.com/statuses/update.xml", unpw];
	NSURL* url = [NSURL URLWithString:baseurl];
	NSMutableURLRequest* urlRequest = [NSMutableURLRequest requestWithURL:url];
	
	[urlRequest setHTTPMethod:@"POST"];
	[urlRequest setHTTPBody:[body dataUsingEncoding:NSUTF8StringEncoding]];
	
	NSError* error;
	NSURLResponse* response;
	NSData* result = [NSURLConnection 
					  sendSynchronousRequest:urlRequest 
					  returningResponse:&response 
					  error:&error];
	
}

+(NSMutableArray*) lastPostsForUser{

	NSMutableArray* lastPosts = [[NSMutableArray alloc] init];
	
	NSString* user = [username stringByAddingPercentEscapesUsingEncoding:NSUTF8StringEncoding];
	
	id baseurl = [NSString stringWithFormat:@"http://twitter.com/statuses/user_timeline/%@.xml", user];
	NSURL* url = [NSURL URLWithString:baseurl];
	NSMutableURLRequest* urlRequest = [NSMutableURLRequest requestWithURL:url];
	[urlRequest setHTTPMethod:@"GET"];
	
	NSError* error;
	NSURLResponse* response;
	NSData* result = [NSURLConnection sendSynchronousRequest:urlRequest 
										   returningResponse:&response error:&error];

	NSString* resultXML = [[NSString alloc] initWithData:result 
												encoding:NSUTF8StringEncoding];
	NSLog(resultXML);
	
	NSArray* textParts = [resultXML componentsSeparatedByString:@"<text>"];
	for(int i = 1; i < [textParts count]; i++){
		NSString* tex = [textParts objectAtIndex:i];
		NSArray* subcomponents = [tex componentsSeparatedByString:@"</text>"];
		[lastPosts addObject:[subcomponents objectAtIndex:0]];
	}
	
	return lastPosts;
}

@end
