//
//  myViewController.m
//  MyFirstiPhoneApp
//
//  Created by Dominikus Baur on 3/23/09.
//  Copyright 2009 LMU Munich. All rights reserved.
//

#import "myViewController.h"


@implementation myViewController

UITextField* tex1;
UITextField* tex2;
UIButton* but;
UILabel* res;

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

-(BOOL) textFieldShouldReturn:(UITextField*)textField{
	[textField resignFirstResponder];
	return YES;
}


// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
	UIView* aView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 480)];
	aView.backgroundColor = [UIColor grayColor];
	self.view = aView;
	[aView release];
	
	UITextField* tf1 = [[UITextField alloc] initWithFrame:CGRectMake(0, 100, 100, 30)];
	[tf1 setText:@"123"];
	[tf1 setDelegate:self];
	tex1 = tf1;
	[self.view addSubview:tex1];
	[tf1 release];
	
	UITextField* tf2 = [[UITextField alloc] initWithFrame:CGRectMake(0, 150, 100, 30)];
	[tf2 setText:@"456"];
	[tf2 setDelegate:self];
	tex2 = tf2;
	[self.view addSubview:tex2];
	[tf2 release];
	
	UIButton* bt = [[UIButton alloc] initWithFrame:CGRectMake(0, 200, 80, 50)];
	[bt setTitle:@"add" forState:UIControlStateNormal];
	[bt addTarget:self action:@selector(press) forControlEvents:UIControlEventTouchUpInside];
	but = bt;
	[self.view addSubview:but];
	[bt release];
	
	UILabel* lab = [[UILabel alloc] initWithFrame:CGRectMake(0, 250, 100, 30)];
	[lab setText:@"result"];
	res = lab;
	[self.view addSubview:res];
	[lab release];
}

-(void)press{
	int num1 = [tex1.text intValue];
	int num2 = [tex2.text intValue];
	
	[tex1 resignFirstResponder];
	[tex2 resignFirstResponder];
	
	NSLog(@"pressed! %i + %i = %i", num1, num2, (num1 + num2));
	NSNumber* result = [NSNumber numberWithInt:(num1 + num2)];
	[res setText:[result stringValue]];
}

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
    [super dealloc];
}


@end
